Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1300755 - ifup network with an interface name with more than 16 characters
ifup network with an interface name with more than 16 characters
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.4
Unspecified Linux
high Severity high
: rc
: ---
Assigned To: Thomas Haller
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 11:05 EST by steverweber
Modified: 2016-11-03 15:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 15:06:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 08:08:07 EDT

  None (edit)
Description steverweber 2016-01-21 11:05:47 EST
Description of problem:

the new long style network device names are to long because vlans with 4 digits cause interface name to be > 15 chars 

you get the error: 

ifup eno33557248.3008
Error: argument "eno33557248.3008" is wrong: "name" too long

ERROR    : [/usr/sbin/ifup] ERROR: could not add vlan 3008 as eno33557248.3008 on dev eno33557248

NetworkManager also cant bring the interface up.

and `ip a` list the interface as "eno33557248.300" missing the 8



Steps to Reproduce:
1. create a network device with a vlan > 999 while using longer name format
2. (optional) disable NetorkManager
3. try and bring the interface online

Actual results:

Error: argument "eno33557248.3008" is wrong: "name" too long


Expected results:

all good
Comment 2 steverweber 2016-01-21 11:33:30 EST
reported upstream to systemd
https://github.com/systemd/systemd/issues/2407
Comment 3 Thomas Haller 2016-01-21 12:51:09 EST
As workaround, in NetworkManager you can configure the interface-name in the connection.

$ nmcli connection modify $CONNECTION_ID connection-interface vlan3008


Pushed a fix to upstream master:
http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=944065c1154a656846dcf37e1cce35d3fb1792ed
http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=778207f23eb2ac022b2ee47968a484fdb94626fe


This only concerns NetworkManager. It is unrelated to using ifup with NetworkManager disabled.
Comment 5 Vladimir Benes 2016-08-30 06:04:54 EDT
NM now cuts name to fit the device name limitation (16) so long_device_name with vlan to 1024 is shortened from long_device_name.1024 to long_device_.1024 and everything works as expected.
Comment 7 errata-xmlrpc 2016-11-03 15:06:45 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html

Note You need to log in before you can comment on or make changes to this bug.